%global momorel 1
%global srcver 0.0.5
%global srcrel 113365
%global qtver 4.5.2
%global kdever 4.3.2
%global kdelibsrel 1m
%global kdeworkspacerel 1m

Summary: A hardware device information KCM
Name: devinfo
Version: 0.5.0
Release: %{momorel}m%{?dist}
License: GPL
URL: http://kde-apps.org/content/show.php/Device+Information+KCM?content=113365
Group: Applications/System
Source0: http://kde-apps.org/CONTENT/content-files/%{srcrel}-%{name}-%{srcver}.tar.bz2
NoSource: 0
Patch0: %{name}-0.2.0-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdebase-workspace >= %{kdever}-%{kdeworkspacerel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdebase-workspace-devel >= %{kdever}-%{kdeworkspacerel}
BuildPreReq: cmake

%description
DevInfo is a hardware device information KCM. 
This module allows you to view current information
about the hardware in your PC.

%prep
%setup -q -n %{name}

%patch0 -p1 -b .desktop-ja

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changelog TODO
%{_kde4_libdir}/kde4/kcm_devinfo.so
%{_kde4_datadir}/kde4/services/devinfo.desktop

%changelog
* Wed Nov 11 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.0-1m)
- version 0.5.0

* Sun Nov  1 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.0-1m)
- version 0.4.0

* Fri Oct 23 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-1m)
- initial pckage for Momonga Linux
